﻿@model IEnumerable<neew.Models.Book>
@{
    Layout = "~/Views/Layout/_LayoutPage1.cshtml";
}

<!DOCTYPE html>


<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <title>BookDisplay</title>
    <link href="~/css/bootstrap.css" rel="stylesheet" />
    <link href="~/css/bootstrap.min.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.css" rel="stylesheet" />
    <link href="~/css/bootstrap.rtl.min.css" rel="stylesheet" />
    <link href="../style/StyleSheet1.css" rel="stylesheet" />
</head>
<body>
    

    <div class="container" style="font-size:15px;font-family:Arial">
        <table class="table">
            <tr>
             
                <th>
                    <label for="BName">نام کتاب</label>
                </th>
                <th>
                    <label for="BName"> نویسنده</label>
                </th>

                <th>
                    <label for="BName"> قیمت</label>
                </th>

                <th>
                    <label for="BName"> موجود بودن</label>
                </th>
                <th>
                    <label>مشاهده</label>
                </th>
                <th>
                    <label>افزودن</label>
                </th>
            </tr>

            @foreach (var item in Model)
            {
                <tr>
                  @*<td>
                      <img src=@Url.Content(item.Image) style="height:50px;width:50px;"/>
                  </td>*@
                    <td>
                        @Html.DisplayFor(Item => item.BName)
                    </td>
                    <td>
                        @Html.DisplayFor(Item => item.Writer)
                    </td>
                    <td>
                        @Html.DisplayFor(Item => item.Price)
                    </td>
                    <td>

                        @if (item.Existence == true)
                        {
                            <p>موجود</p>
                        }
                        else
                        {
                            <p>ناموجود</p>
                        }
                        </td>
                        <td>
                            @Html.ActionLink("دیدن", "Shop", new { id = item.IDBook })
                        </td>
                    <td>
                     @if (item.Existence == true && User.Identity.IsAuthenticated && item.BookOwner != User.Identity.Name) { 
                        @Html.ActionLink("افزودن به سبد", "Basket", new { id = item.IDBook })
                     }
                    </td>
                    </tr>
            }

        </table>

 

    </div>
</body>
</html>
